# Docs For Class quota

modules

# Class: quota

Source Location: /lib/modules/quota.inc

### Class Overview

    baseModule
       |
       --quota

Manages quotas for users and groups.

### Methods

- check_profileOptions
- display_html_attributes
- doUploadPostActions
- get_metaData
- get_pdfEntries
- get_profileOptions
- get_uploadColumns
- initQuotas
- load_Messages
- load_profile
- module_ready
- postModifyActions
- preDeleteActions
- process_attributes
- replaceSpecialChars

### Inherited Variables

#### Class: baseModule

baseModule::$attributes
baseModule::$messages
baseModule::$meta
baseModule::$moduleSettings
baseModule::$orig
baseModule::$selfServiceSettings

### Inherited Methods

#### Class: baseModule

baseModule::baseModule()
  Creates a new base module class
baseModule::build_uploadAccounts()
  In this function the LDAP account is built up.
baseModule::can_manage()
  Returns true if this module fits for the current scope.
baseModule::checkSelfServiceOptions()
  Checks if all input values are correct and returns the LDAP commands which should be executed.
baseModule::checkSelfServiceSettings()
  Checks if the self service settings are valid.
baseModule::check_configOptions()
  Checks input values of module settings.
baseModule::check_profileOptions()
  Checks input values of account profiles.
baseModule::delete_attributes()
  Dummy function for modules which use no special options on account deletion.
baseModule::display_html_delete()
  Dummy function for modules which do not print extra HTML code on account deletion.
baseModule::doUploadPostActions()
  This function executes one post upload action.
baseModule::getAccountContainer()
  Returns the accountContainer object.
baseModule::getAttributes()
  Returns the LDAP attributes which are managed in this module.
baseModule::getButtonStatus()
  Controls if the module button the account page is visible and activated.
baseModule::getLDAPAliases()
  Returns a list of aliases for LDAP attributes.
baseModule::getManagedAttributes()
  Returns a list of LDAP attributes which are managed by this module.
baseModule::getManagedObjectClasses()
  Returns a list of managed object classes for this module.
baseModule::getOriginalAttributes()
  Returns the LDAP attributes which are managed in this module (with unchanged values).
baseModule::getRequiredExtensions()
  Returns a list of required PHP extensions.
baseModule::getSelfServiceFields()
  Returns a list of possible input fields and their descriptions Format: array(<field identifier> => <field description>)
baseModule::getSelfServiceOptions()
  Returns the meta HTML code for each input field.
baseModule::getSelfServiceSearchAttributes()
  Returns a list of possible search attributes for the self service.
baseModule::getSelfServiceSettings()
  Returns a list of self service configuration settings.
baseModule::get_alias()
  Returns an alias name for the module.
baseModule::get_configOptions()
  Returns a list of elements for the configuration.
baseModule::get_dependencies()
  This function returns a list with all depending and conflicting modules.
baseModule::get_help()
  This function return the help entry array for a specific help id. Normally this->meta can be used.
baseModule::get_ldap_filter()
  returns an LDAP filter for the account lists
baseModule::get_metaData()
  Dummy function, meta data is provided by sub classes.
baseModule::get_pdfFields()
  Returns an array with all fields available for this account type on the PDF output. This method may be overwritten by subclasses or it may be used by using entries in the $this->meta['PDF_fields'] array of the specific sub- class.
baseModule::get_pdf_entries()
  Returns a hastable with all entries that may be printed out in the PDF. The
baseModule::get_profileOptions()
  Returns a list of elements for the account profiles.
baseModule::get_RDNAttributes()
  Returns a list of possible LDAP attributes which can be used to form the RDN.
baseModule::get_scope()
  Returns the account type of this module (user, group, host)
baseModule::get_uploadColumns()
  Returns an array containing all input columns for the file upload.
baseModule::get_uploadPreDepends()
  Returns a list of module names which must be processed in building the account befor this module.
baseModule::init()
  Initializes the module after it became part of an accountContainer
baseModule::is_base_module()
  Returns true if this module is enough to provide a sensible account.
baseModule::load_attributes()
  This function loads the LDAP attributes for this module.
baseModule::load_Messages()
  This function fills the $messages variable with output messages from this module.
baseModule::load_profile()
  Loads the values of an account profile into internal variables.
baseModule::module_complete()
  This functions is used to check if all settings for this module have been made.
baseModule::module_ready()
  This function is used to check if this module page can be displayed.
baseModule::postDeleteActions()
  Allows the module to run commands after the LDAP entry is deleted.
baseModule::postModifyActions()
  Allows the module to run commands after the LDAP entry is changed or created.
baseModule::preDeleteActions()
  Allows the module to run commands before the LDAP entry is deleted.
baseModule::preModifyActions()
  Allows the module to run commands before the LDAP entry is changed or created.
baseModule::save_attributes()
  Returns a list of modifications which have to be made to the LDAP account.

### Class Details

[line 39]
Manages quotas for users and groups.
[ Top ]

### Class Methods

### method check_profileOptions [line 473]

`array check_profileOptions( array $options)`

Checks input values of account profiles.

#### Tags:

return: | list of error messages (array(type, title, text)) to generate StatusMessages, if any

Overrides baseModule::check_profileOptions() (Checks input values of account profiles.)

#### Parameters:

array | $options | a hash array (name => value) containing the options

[ Top ]

### method display_html_attributes [line 333]

`array display_html_attributes( )`

Returns the HTML meta data for the main account page.

#### Tags:

return: | HTML meta data

[ Top ]

### method doUploadPostActions [line 627]

`array doUploadPostActions( array $data, array $ids, array $failed, &$temp, array $temp)`

This function executes one post upload action.

#### Tags:

return: | current status array ( 'status' => 'finished' | 'inProgress' 'progress' => 0..100 'errors' => array (<array of parameters for StatusMessage>) )

Overrides baseModule::doUploadPostActions() (This function executes one post upload action.)

#### Parameters:

array | $data | array containing one account in each element
array | $ids | array(<column_name> => <column number>)
array | $failed | list of accounts which were not created successfully
array | $temp | variable to store temporary data between two post actions
| &$temp |

[ Top ]

### method get_metaData [line 65]

`array get_metaData( )`

Returns meta data that is interpreted by parent class

#### Tags:

return: | array with meta data

Overrides baseModule::get_metaData() (Dummy function, meta data is provided by sub classes.)
[ Top ]

### method get_pdfEntries [line 529]

`array get_pdfEntries( )`

Returns the PDF entries for this module.

#### Tags:

return: | list of possible PDF entries

[ Top ]

### method get_profileOptions [line 416]

`profile get_profileOptions( )`

Returns a list of elements for the account profiles.

#### Tags:

return: | elements

Overrides baseModule::get_profileOptions() (Returns a list of elements for the account profiles.)
[ Top ]

### method get_uploadColumns [line 583]

`array get_uploadColumns( )`

Returns an array containing all input columns for the file upload.

Syntax:
array(
string: name, // fixed non-translated name which is used as column name (should be of format: <module name>_<column name>)
string: description, // short descriptive name
string: help, // help ID
string: example, // example value
boolean: required // true, if user must set a value for this column
)

#### Tags:

return: | column list

Overrides baseModule::get_uploadColumns() (Returns an array containing all input columns for the file upload.)
[ Top ]

### method initQuotas [line 150]

`void initQuotas( )`

Initializes the quota values.
[ Top ]

### method load_Messages [line 43]

`void load_Messages( )`

this functin fills the error message array with messages
Overrides baseModule::load_Messages() (This function fills the $messages variable with output messages from this module.)
[ Top ]

### method load_profile [line 507]

`void load_profile( array $profile)`

Loads the values of an account profile into internal variables.
Overrides baseModule::load_profile() (Loads the values of an account profile into internal variables.)

#### Parameters:

array | $profile | hash array with profile values (identifier => value)

[ Top ]

### method module_ready [line 189]

`boolean module_ready( )`

This function is used to check if this module page can be displayed.

It returns false if a module depends on data from other modules which was not yet entered.

#### Tags:

return: | true, if page can be displayed

Overrides baseModule::module_ready() (This function is used to check if this module page can be displayed.)
[ Top ]

### method postModifyActions [line 206]

`void postModifyActions( boolean $newAccount)`

Allows the module to run commands after the LDAP entry is changed or created.
Overrides baseModule::postModifyActions() (Allows the module to run commands after the LDAP entry is changed or created.)

#### Parameters:

boolean | $newAccount | new account

[ Top ]

### method preDeleteActions [line 245]

`true, preDeleteActions( )`

Allows the module to run commands before the LDAP entry is deleted.

An error message should be printed if the function returns false.

#### Tags:

return: | if no problems occured

Overrides baseModule::preDeleteActions() (Allows the module to run commands before the LDAP entry is deleted.)
[ Top ]

### method process_attributes [line 286]

`array process_attributes( )`

Processes user input of the primary module page.

It checks if all input values are correct and updates the associated LDAP attributes.

#### Tags:

return: | list of info/error messages

[ Top ]

### method replaceSpecialChars [line 406]

`string replaceSpecialChars( string $input)`

Replaces special characters in HTML name values.

#### Tags:

return: | output string

#### Parameters:

string | $input | input string

[ Top ]

Documentation generated on Sun, 04 Nov 2007 12:11:02 +0100 by phpDocumentor 1.4.0